Bug 1264485 - (catch) Review Request: catch - A modern, C++-native, header-only, framework for unit-tests, TDD and BDD
Review Request: catch - A modern, C++-native, header-only, framework for unit...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jared Smith
Fedora Extras Quality Assurance
:
: 1320876 (view as bug list)
Depends On:
Blocks: 1260375 1320878
  Show dependency treegraph
 
Reported: 2015-09-18 10:59 EDT by Tom Hughes
Modified: 2016-03-29 10:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-17 18:55:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jsmith.fedora: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Tom Hughes 2015-09-18 10:59:16 EDT
Spec URL: http://download.compton.nu/tmp/catch.spec
SRPM URL: http://download.compton.nu/tmp/catch-1.2.1-1.fc22.src.rpm
Fedora Account System Username: tomh

Description:
Catch stands for C++ Automated Test Cases in Headers and is a
multi-paradigm automated test framework for C++ and Objective-C (and,
maybe, C). It is implemented entirely in a set of header files, but
is packaged up as a single header for extra convenience.
Comment 1 Jared Smith 2015-10-08 15:54:55 EDT
This is probably the easiest package review I've ever done.  As a simple header-only package, the only thing remotely complicated is making sure that you have the file in the -devel subpackage, and that the -devel subpackage provides %{name}-static.  You've obviously done your homework.

Package is approved.
Comment 2 Fedora Update System 2015-10-09 02:31:46 EDT
catch-1.2.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-dc5e659fc8
Comment 3 Fedora Update System 2015-10-09 02:31:50 EDT
catch-1.2.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f4ae66e2cb
Comment 4 Fedora Update System 2015-10-09 19:22:48 EDT
catch-1.2.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update catch'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f4ae66e2cb
Comment 5 Fedora Update System 2015-10-10 12:49:43 EDT
catch-1.2.1-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update catch'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-9b6436783e
Comment 6 Fedora Update System 2015-10-11 04:26:03 EDT
catch-1.2.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update catch'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-dc5e659fc8
Comment 7 Fedora Update System 2015-10-17 18:55:13 EDT
catch-1.2.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2015-10-17 19:20:20 EDT
catch-1.2.1-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-10-31 22:43:44 EDT
catch-1.2.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Tom Hughes 2016-03-29 10:59:24 EDT
*** Bug 1320876 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.